/** #phi functions **/
$(document).delegate("#phi","pagecreate", function() {
	var gRatio;
	$("#phi-base").bind('keyup', function() {
		var inputVal = parseInt($(this).val());
		var a = Math.round((inputVal * 1.618) - inputVal);
		var b = inputVal - a;
		$("#phi-a span").text(a);
		$("#phi-b span").text(b);
	});
});

/** #ratio functions **/
$(document).delegate("#ratio","pagecreate", function() {
	$("#ratio input").keyup(function(){
		var ratio = 0;
		var width = $("#ratio-width").val();
		var height = $("#ratio-height").val();
		var width2 = $("#ratio-cWidth").val();
		var aspect = Math.round((width / height) * 100) / 100;
		switch (aspect) {
			case 1.33:
				ratio = "4:3";
				break;
			case 1.5:
				ratio = "3:2";
				break;
			case 1.56:
				ratio = "14:9";
				break;
			case 1.58:
				ratio = "16:10";
				break;
			case 1.78:
				ratio = "16:9";
				break;
		}
		if(ratio != 0){
			$(".ratio-aspect").text(aspect + ' (' + ratio + ')' );
			console.log("Ratio worked... where's my text?!");
		} else {
			$(".ratio-aspect").text(aspect);
		}
		$("#ratio-cHeight").text(Math.round((width2 / (width / height))));
	});
	$("#ratio-btn-reset").click(function(){
		$("#ratio input[type=text]").val('');
		$(".ratio-aspect").text('0');
		$("#ratio-cHeight").text('?');
		aspect = 0;
		height = 0;
		width = 0;
		width2 = 0;
		ratio = 0;
	});
});
/** #divisible functions **/
function calculate(n) {
	if(n == 0 || n == '' || n == 'undefined') {
		$("#dbl-results span").text('');
	} else {
		n = Math.abs(n);
		for(var i=2;i<21;i++) {
			var result = (n%i == 0) ? 'yes = '+(n/i) : 'no';
			$("#result"+i+" span").text(result);
			if(result == 'no') {
				$("#result"+i).addClass('no');
			}
		}
	}
}

$(document).delegate("#divisible","pagecreate", function() {
	$("#dbl-base").bind('keyup', function() {
		var inputVal = $(this).val();
		$("#left-col div, #right-col div").removeClass('no');
		calculate(inputVal);
	});
});